import * as pgPool from 'pg-pool';
import Pool = pgPool.Pool;
export declare const DB_QUERY = "DB_QUERY";
export declare const NO_ROW_ERROR = "DB_NO_SUCH_";
export declare const ONE_ROW_WARNING = "WARNING_DB_GET_ROW. Expected 1 row. Got %j %s";
export declare class PgService {
    protected pool: Pool;
    constructor(pgPool: Pool);
    run(query: string, params?: Array<any>): Promise<boolean>;
    getRows(query: string, params?: Array<any>): Promise<Array<any>>;
    getRow(query: string, params?: Array<any>): Promise<any>;
    mustGetRow(errorCode: string, query: string, params?: Array<any>): Promise<any>;
    private _run(query, params?);
}
