export interface IInnoErrorOptions {
    code?: string;
    innerDetails?: any;
    details?: any;
    status?: number;
}
export declare class BaseError extends Error {
    static readonly INTERNAL: string;
    static defaultOptions: IInnoErrorOptions;
    errorPrefix: string;
    code: string;
    details: any;
    status: number;
    readonly message: string;
    protected innerDetails: any;
    constructor(options?: IInnoErrorOptions);
    private _jsonReplacer(key, value);
    private _getDetails(obj);
}
